/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  JoinValidatorJoinModuleBase,
  JoinValidatorJoinModuleBaseInterface,
} from "../../../../contracts/core/modules/JoinValidatorJoinModuleBase";

const _abi = [
  {
    inputs: [],
    name: "InitParamsInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "OSP",
    outputs: [
      {
        internalType: "address",
        name: "",
        type: "address",
      },
    ],
    stateMutability: "view",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "uint256",
        name: "communityId",
        type: "uint256",
      },
      {
        internalType: "bytes",
        name: "data",
        type: "bytes",
      },
    ],
    name: "initializeCommunityJoinModule",
    outputs: [],
    stateMutability: "nonpayable",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "address",
        name: "joiner",
        type: "address",
      },
      {
        internalType: "uint256",
        name: "community",
        type: "uint256",
      },
      {
        internalType: "bytes",
        name: "data",
        type: "bytes",
      },
    ],
    name: "processJoin",
    outputs: [],
    stateMutability: "payable",
    type: "function",
  },
] as const;

export class JoinValidatorJoinModuleBase__factory {
  static readonly abi = _abi;
  static createInterface(): JoinValidatorJoinModuleBaseInterface {
    return new utils.Interface(_abi) as JoinValidatorJoinModuleBaseInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): JoinValidatorJoinModuleBase {
    return new Contract(
      address,
      _abi,
      signerOrProvider
    ) as JoinValidatorJoinModuleBase;
  }
}
